Subject: bug#15490: [PATCH] Refactor device canonicalization

From: Phillip Susi <[email-masked]>
Date: Sun, 17 Nov 2013 21:51:07 -0500

I had to revise this patch because it caused failures to update the
partition table when lower numbered partitions that had been added or
removed overlapped with higher numbered partitions that had been
removed or changed ( and not yet removed/changed at the time the lower
partition is processed ).  So I fixed it to try to remove all
partitions that are not unchanged first, then add/resize.